# extract one entry from the parameter table
# var comes from the command line (with -v var=...)
# for a match var has to be spelled EXACTLY as in the parameter table
{
    if ($0 ~ "parameter") {
        lines=$0"\n"
        do {
            getline
            lines=lines$0"\n"
            if ( $1 == "out_name" ) { out_name=$3 }
           }
        while( $0 != "/" ) }
    if ( out_name == var ) {exit}
}
END { if ( out_name == var ) {print lines; exit 0} else {exit -1} }


